Fix 2.6 Proguard build failure.
[PrivacyBrowser.git] / app / build.gradle
index c8792729e54d3917b93d502aededea0e67b889b0..aa47ffcbfb40c6ad74af153cf329e4230ac8a176 100644 (file)
@@ -1,5 +1,5 @@
-/**
- * Copyright 2016 Soren Stoutner <soren@stoutner.com>.
+/*
+ * Copyright © 2016-2017 Soren Stoutner <soren@stoutner.com>.
  *
  * This file is part of Privacy Browser <https://www.stoutner.com/privacy-browser>.
  *
 apply plugin: 'com.android.application'
 
 android {
-    signingConfigs {
-    }
-
-    compileSdkVersion 23
-    buildToolsVersion "23.0.3"
+    compileSdkVersion 25
+    buildToolsVersion "25.0.3"
     defaultConfig {
-        applicationId "com.stoutner.privacybrowser"
-        minSdkVersion 15
-        targetSdkVersion 23
-        versionCode 4
-        versionName "1.3"
+        minSdkVersion 19
+        targetSdkVersion 25
+        versionCode 26
+        versionName "2.6"
     }
 
     buildTypes {
+        debug {
+            minifyEnabled false
+            shrinkResources false
+        }
+
         release {
             minifyEnabled true
+            shrinkResources true
             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
         }
     }
@@ -43,19 +45,22 @@ android {
     productFlavors {
         standard {
             applicationId "com.stoutner.privacybrowser.standard"
-            versionName "1.3-standard"
         }
 
         free {
             applicationId "com.stoutner.privacybrowser.free"
-            versionName "1.3-free"
         }
     }
 }
 
 dependencies {
-    compile fileTree(dir: 'libs', include: ['*.jar'])
-    compile 'com.android.support:design:23.3.0'
-    // Only compile com.google.android.gms:play-services-ads for the free version so that the standard version can build of F-Droid.
-    freeCompile 'com.google.android.gms:play-services-ads:8.4.0'
+    compile fileTree(include: ['*.jar'], dir: 'libs')
+    compile 'com.android.support:design:25.4.0'
+
+    // Only compile `com.google.firebase:firebase-ads:9.8.0` for the free flavor.
+    freeCompile 'com.google.firebase:firebase-ads:11.0.4'
 }
+
+// Google's documentation says the following line is required for `firebase-ads` but things work correctly without it.  I have no interest in applying the Google Mobile Services plugin in the standard flavor if I don't have to.
+// I suspect that in the free flavor `firebase-ads` applies it even when not specified.  <https://firebase.google.com/docs/admob/android/quick-start>.
+// apply plugin: 'com.google.gms.google-services'
\ No newline at end of file